package com.ejie.ab61.comun.utilidades;

import java.math.BigDecimal;
import java.text.DateFormat;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.namespace.QName;

/**
 * Constructores de objectos para utilizar en fors
 * 
 *  
 * 
 */
public class Constructores {

	/**
	 * 
	 */
	private Constructores() {
	}

	/**
	 * 
	 * @return StringBuilder
	 */
	public static StringBuilder newStringBuilder() {
		return new StringBuilder();
	}

	/**
	 * 
	 * @param value
	 *            String
	 * 
	 * @return BigDecimal
	 */
	public static BigDecimal newBigDecimal(String value) {
		return new BigDecimal(value);
	}

	/**
	 * 
	 * @return List<String>
	 */
	public static List<String> newListString() {
		return new ArrayList<String>();
	}

	/**
	 * 
	 * @param value
	 *            String
	 * 
	 * @return DateFormat
	 */
	public static DateFormat newDateFormat(String value) {
		return new SimpleDateFormat(value);
	}

	/**
	 * 
	 * @param value
	 *            String
	 * 
	 * @return DecimalFormat
	 */
	public static DecimalFormat newDecimalFormat(String value) {
		return new DecimalFormat(value);
	}

	/**
	 * 
	 * @param value
	 *            String
	 * 
	 * @return QName
	 */
	public static QName newQName(String value) {
		return new QName(value);
	}

	/**
	 * 
	 * @return StringBuffer
	 */
	public static StringBuffer newStringBuffer() {
		return new StringBuffer();
	}

	/**
	 * 
	 * @return Date
	 */
	public static Date newDate() {
		return new Date();
	}

	/**
	 * 
	 * @return ArrayList<String>
	 */
	public static ArrayList<String> newArrayListString() {
		return new ArrayList<String>();
	}

}
